Skip to content
Permalink
Browse files
Increased default target sdk to 29 (#848)
* (android) increased default target sdk to 29

* Updated travis and appveyor to use build tools/api level 29

* Fixed two other files that was missing the API 29 update
  • Loading branch information
breautek committed Jan 7, 2020
1 parent 91d2716 commit 58890014654737d36c0d053f75349ad8efdaf7f6
Show file tree
Hide file tree
Showing 6 changed files with 13 additions and 13 deletions.
@@ -7,8 +7,8 @@ dist: trusty

env:
global:
- ANDROID_API_LEVEL=28
- ANDROID_BUILD_TOOLS_VERSION=28.0.3
- ANDROID_API_LEVEL=29
- ANDROID_BUILD_TOOLS_VERSION=29.0.2
- TERM=dumb # Keep gradle from crapping all over the log
matrix:
- nodejs_version=10
@@ -19,7 +19,7 @@ install:
- set PATH=%PATH%;"%ANDROID_HOME%\tools\bin"

- yes 2> nul | sdkmanager --licenses > nul
- sdkmanager "build-tools;28.0.3"
- sdkmanager "build-tools;29.0.2"

- choco install gradle --version 3.4.1

@@ -40,10 +40,10 @@ allprojects {

//This replaces project.properties w.r.t. build settings
project.ext {
defaultBuildToolsVersion="28.0.3" //String
defaultBuildToolsVersion="29.0.2" //String
defaultMinSdkVersion=19 //Integer - Minimum requirement is Android 4.4
defaultTargetSdkVersion=28 //Integer - We ALWAYS target the latest by default
defaultCompileSdkVersion=28 //Integer - We ALWAYS compile with the latest by default
defaultTargetSdkVersion=29 //Integer - We ALWAYS target the latest by default
defaultCompileSdkVersion=29 //Integer - We ALWAYS compile with the latest by default
}
}

@@ -5,7 +5,7 @@
split.density=false

# Project target.
target=android-28
target=android-29
apk-configurations=
renderscript.opt.level=O0
android.library=true
@@ -1,13 +1,13 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 28
buildToolsVersion "28.0.3"
compileSdkVersion 29
buildToolsVersion "29.0.2"

defaultConfig {
applicationId "com.example.anis.myapplication"
minSdkVersion 21
targetSdkVersion 28
targetSdkVersion 29
versionCode 1
versionName "1.0"
}
@@ -19,13 +19,13 @@
apply plugin: 'com.android.application'

android {
compileSdkVersion 28
buildToolsVersion "28.0.3"
compileSdkVersion 29
buildToolsVersion "29.0.2"

defaultConfig {
applicationId "org.apache.cordova.unittests"
minSdkVersion 19
targetSdkVersion 28
targetSdkVersion 29
versionCode 1
versionName "1.0"
testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"

0 comments on commit 5889001

Please sign in to comment.